<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.AssociationValidatorsJavaPackages']}</h1>
        <s:div id="globalDiv">
            <h:form id="globalForm">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.AssociationValidatorsJavaPackages']}</ui:define>
                    <rich:dataTable id="validatorAssociationTable"
                                    value="#{validatorAssociationListManager.validatorAssociations}"
                                    var="validatorAssociation">
                        <g:column sortBy="#{'id'}"
                                  sortOrder="ascending">
                            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.ID']}</ui:define>
                            <h:outputText value="#{validatorAssociation.id}"/>
                        </g:column>
                        <g:column sortBy="#{'validatorName'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.ValidatorName_2']}</ui:define>
                            <h:outputText value="#{validatorAssociation.validatorName}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.ValidatorAssociationParents']}</ui:define>
                            <a4j:repeat var="validatorAssociationParent" value="#{validatorAssociation.validatorAssociationParents}">
                                <h:outputText value="#{validatorAssociationParent.validatorName}"/>
                                <br />
                            </a4j:repeat>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.PackagesList']}</ui:define>
                            <a4j:repeat var="package" value="#{validatorAssociation.packageList}">
                                <h:outputText value="#{package.name}"/>
                                <br />
                            </a4j:repeat>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Action']}</ui:define>
                            <h:panelGroup styleClass="gzl-never-wrap">
                                <h:outputLink
                                        title="#{messages['net.ihe.gazelle.View']} #{validatorAssociation.validatorName}"
                                        value="#{request.contextPath}/admin/validatorAssociation/view.seam">
                                    <f:param name="validatorAssociationId" value="#{validatorAssociation.id}"/>
                                    <span class="gzl-icon-search"/>
                                </h:outputLink>
                                <h:outputLink
                                        title="#{messages['net.ihe.gazelle.cdagen.Edit']} #{validatorAssociation.validatorName}"
                                        value="#{request.contextPath}/admin/validatorAssociation/edit.seam">
                                    <f:param name="validatorAssociationId" value="#{validatorAssociation.id}"/>
                                    <span class="gzl-icon-pencil"/>
                                </h:outputLink>
                                <a4j:commandLink event="click"
                                                 rendered="#{validatorAssociationManager.isDeletable(validatorAssociation)}"
                                                 title="#{messages['users.Delete']}"
                                                 oncomplete="jq162('#deleteValidatorAssociationPopup').modal('show');"
                                                 render="deleteValidatorAssociationForm,globalForm"
                                                 actionListener="#{validatorAssociationManager.setSelectedValidatorAssociation(validatorAssociation)}">
                                    <span class="gzl-icon-trash-o"/>
                                </a4j:commandLink>
                            </h:panelGroup>
                        </g:column>
                        <f:facet name="footer">
                            <rich:dataScroller id="ds" render="validatorAssociationTable" maxPages="5"
                                               renderIfSinglePage="false"></rich:dataScroller>
                        </f:facet>
                    </rich:dataTable>
                    <ui:define name="panel_footer">
                        <h:outputLink value="#{request.contextPath}/admin/validatorAssociation/new.seam"
                                      styleClass="gzl-btn-green">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.CreateValidatorAssociation']}"/>
                        </h:outputLink>
                    </ui:define>
                </ui:decorate>
            </h:form>
        </s:div>

        <h:form id="deleteValidatorAssociationForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteValidatorAssociationPopup"/>
                <ui:define name="popup_title">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.DeleteLinkBetweenBuildingBlockRepositoryAndJavaP']}"/>
                </ui:define>
                <h:outputText id="deleteValidatorAssociationText"
                              value="#{messages['net.ihe.gazelle.DoYouWantToDeleteThePackage']} #{validatorAssociationManager.selectedValidatorAssociation.validatorName} ?"/>

                <ui:define name="popup_footer">
                    <h:commandButton value="#{messages['net.ihe.gazelle.cdagen.Cancel']}"
                                     styleClass="gzl-btn"
                                     onclick="jq162('#deleteValidatorAssociationPopup').modal('hide');"/>
                    <h:commandButton value="#{messages['net.ihe.gazelle.Delete']}"
                                     action="#{validatorAssociationManager.deleteSelectedValidatorAssociation()}"
                                     styleClass="gzl-btn-red" render="globalForm"
                                     onclick="jq162('#deleteValidatorAssociationPopup').modal('hide');"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>